package com.wasu.cs.mvp.IView;

import android.util.SparseArray;

import com.wasu.cs.model.CatData;
import com.wasu.cs.model.DemandProgram;

/**
 * Created by chenming on 2016/8/1.
 *
 * @author chenming
 * @Description: 网易新闻专区的view接口
 * @email chenming@wasu.com
 * @date 2016/8/1
 */

public interface INeteaseNewsView extends MvpView {


	/**
	 * 获取数据失败后的回调方法
	 */
	void ongetDataFailed(Throwable throwable);
	/**
	 * 获取推荐播放视频地址回调方法
	 */
	void onGetRecVideoUrl(String assetjsonurl,DemandProgram demandProgram);
	/**
	 * 异步请求返回tab下的数据
	 *
	 * @param catData
	 */
	void onGetCatData(CatData catData,int index);

	void onGetTabTitle( SparseArray<String> spname);
	/**
	 * 返回jsonurls
	 * @param jsonUrls
	 */
	void onGetJsonUrls(SparseArray<String> jsonUrls);
}
